package com.ruoyi.nanjing.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.nanjing.mapper.TBdStationtypeMapper;
import com.ruoyi.nanjing.domain.TBdStationtype;
import com.ruoyi.nanjing.service.ITBdStationtypeService;
import com.ruoyi.common.core.text.Convert;

/**
 * 工位类型Service业务层处理
 * 
 * @author limy
 * @date 2021-01-22
 */
@Service
public class TBdStationtypeServiceImpl implements ITBdStationtypeService 
{
    @Autowired
    private TBdStationtypeMapper tBdStationtypeMapper;

    /**
     * 查询工位类型
     * 
     * @param ID 工位类型ID
     * @return 工位类型
     */
    @Override
    public TBdStationtype selectTBdStationtypeById(Long ID)
    {
        return tBdStationtypeMapper.selectTBdStationtypeById(ID);
    }

    /**
     * 查询工位类型列表
     * 
     * @param tBdStationtype 工位类型
     * @return 工位类型
     */
    @Override
    public List<TBdStationtype> selectTBdStationtypeList(TBdStationtype tBdStationtype)
    {
        return tBdStationtypeMapper.selectTBdStationtypeList(tBdStationtype);
    }

    /**
     * 新增工位类型
     * 
     * @param tBdStationtype 工位类型
     * @return 结果
     */
    @Override
    public int insertTBdStationtype(TBdStationtype tBdStationtype)
    {
        return tBdStationtypeMapper.insertTBdStationtype(tBdStationtype);
    }

    /**
     * 修改工位类型
     * 
     * @param tBdStationtype 工位类型
     * @return 结果
     */
    @Override
    public int updateTBdStationtype(TBdStationtype tBdStationtype)
    {
        return tBdStationtypeMapper.updateTBdStationtype(tBdStationtype);
    }

    /**
     * 删除工位类型对象
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    @Override
    public int deleteTBdStationtypeByIds(String ids)
    {
        return tBdStationtypeMapper.deleteTBdStationtypeByIds(Convert.toStrArray(ids));
    }

    /**
     * 删除工位类型信息
     * 
     * @param ID 工位类型ID
     * @return 结果
     */
    @Override
    public int deleteTBdStationtypeById(Long ID)
    {
        return tBdStationtypeMapper.deleteTBdStationtypeById(ID);
    }
}
